/*
Theme Name: Salient Child Theme
Description: This is a custom child theme for Salient
Theme URI:   https://themeforest.net/item/salient-responsive-multipurpose-theme/4363266
Author: ThemeNectar
Author URI:  https://themeforest.net/user/themenectar
Template: salient
Version: 1.0
*/
#gfield_description_20_15 i,
#gfield_description_18_7 i,
#validation_message_20_15 i,
#validation_message_20_16 i {
  display: none !important;
}

/* -- FIX FOR AVALARA STYLE OVERRIDES -- */
label {
  text-indent: initial;
  padding-left: initial;
  margin-bottom: initial;
}

/* --- FRONTROW PDP EDITS --- */
#frontrow-widget {
  margin-bottom: 24px;
}

.woocommerce.single-product div.product .summary p.price {
  display: none;
}

/* LOGIN LOADING ICON */
.ls-hidden,
.cp-hidden {
  display: none !important;
}

/* --- LOGING LEGEND HIDE --- */
#gform_wrapper_17 .gform_required_legend {
  display: none;
}

/* The switch - the box around the slider */
.switch {
  position: relative;
  display: inline-block;
  width: 60px;
  height: 34px;
}

/* Hide default HTML checkbox */
.switch input {
  opacity: 0;
  width: 0;
  height: 0;
}

/* The slider */
.rslider {
  position: absolute;
  cursor: pointer;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background-color: #ccc;
  -webkit-transition: .4s;
  transition: .4s;
}

.rslider:before {
  position: absolute;
  content: "";
  height: 26px;
  width: 26px;
  left: 4px;
  bottom: 4px;
  background-color: white;
  -webkit-transition: .4s;
  transition: .4s;
}

input:checked+.rslider {
  background-color: #2196F3;
}

input:focus+.rslider {
  box-shadow: 0 0 1px #2196F3;
}

input:checked+.rslider:before {
  -webkit-transform: translateX(26px);
  -ms-transform: translateX(26px);
  transform: translateX(26px);
}

/* Rounded sliders */
.rslider.round {
  border-radius: 34px;
}

.rslider.round:before {
  border-radius: 50%;
}

/* ROUNDUP FEATURE */
.roundup-feature {
  padding: 16px 11px 25px 20px;
  border: solid 1px #979797;
  margin-bottom: 25px;
  position: relative;
}

.roundup-copy {
  width: calc(100% - 120px);
}

.roundup-copy p {
  font-size: 18px;
}

.roundup-copy p:first-child,
.roundup-copy span {
  font-weight: bold;
}

.roundup-copy>p {
  padding-bottom: 0px;
}

.roundup-logo {
  max-width: 207px;
  position: absolute;
  right: 0;
  bottom: 10px;
}

.roundup-switcher {
  position: absolute;
  top: 31px;
  right: 23px;
}

.roundup-billing {
  position: absolute;
  top: 90px;
  right: 23px;
  width: 106px;
  font-size: 14px;
  line-height: normal;
  color: #999999;
  text-align: right;
  font-style: italic;
}

.roundup-feature.hidden {
  display: none;
}

@media only screen and (max-width: 690px),
(min-width: 769px) and (max-width: 1285px) {
  .roundup-feature {
    padding: 16px
  }

  .roundup-copy p {
    font-size: 16px;
  }
}

@media only screen and (min-width: 999px) and (max-width: 1150px) {
  .roundup-logo {
    max-width: 180px;
    bottom: 0px;
  }
}

@media only screen and (max-width: 479px),
(min-width: 769px) and (max-width: 999px) {
  .roundup-logo {
    max-width: 180px;
    bottom: 0px;
  }

  .roundup-switcher {
    top: 20px;
    right: 16px;
  }

  .roundup-billing {
    top: 70px;
    right: 16px;
  }
}

#hubspot-messages-iframe-container {
  display: none !important;
}

/* Adjust coupon form in right sidebar on checkout page */
form.checkout_coupon.woocommerce-form-coupon {
  border: none;
  padding: 0 0 27.1px 0;
  margin: 0;
  border-radius: 5px;
}

input#coupon_code {
  width: 70% !important;
}

button.button.nq-submit {
  width: 17%;
  float: right;
}

p.nq-coupon-code-label {
  padding-bottom: 0;
}

.coupon-loader {
  border: 10px solid #ccc;
  border-top: 10px solid #5478D2;
  border-bottom: 10px solid #5478D2;
  border-radius: 50%;
  width: 50px;
  height: 50px;
  animation: spin 2s linear infinite;
  display: none;
  position: absolute;
  left: 50%;
  z-index: 2;
  margin-top: 23px;
  margin-left: -25px;
}

@keyframes spin {
  0% {
    transform: rotate(0deg);
  }

  100% {
    transform: rotate(360deg);
  }
}

ul.woocommerce-error {
  background-color: #a00 !important;
}

/* --- Blog ---*/
/* Hiding orange category titles */
.blog .meta-category {
  display: none !important;
}

/* --- SHOP ARCHIVE LOOP --- */
.products li.product.minimal .product-meta .yotpo-widget-instance {
  margin-top: 16px;
  margin-bottom: 6px;
  display: inline-block;
}

.woocommerce ul.products li.product strong {
  padding-bottom: 6px;
}

.woocommerce ul.products li.product strong+br {
  display: none;
}

.products li.product.minimal .product-meta .variation-prices {
  font-size: 18px !important;
  font-weight: bold !important;
  direction: rtl;
}

body .products li.product.minimal .product-meta .amount {
  font-size: 18px !important;
  font-weight: bold !important;
}

/* -- Checkout styles -- */
.woocommerce-checkout .button.sv-wc-payment-gateway-payment-form-manage-payment-methods {
  display: block;
  width: fit-content;
}

.woocommerce-checkout.woocommerce form .form-row label,
.woocommerce-checkout.woocommerce-page form .form-row label {
  display: inline-block;
}

/* -- SMARTY ADDRESS SUGGESTIONS CHECKOUT --*/
#shipping_address_1_list,
#billing_address_1_list {
  list-style: none;
  padding: 0px;
  position: absolute;
  z-index: 10;
  background-color: #fff;
  border: 1px solid #d3d3d3;
  overflow-y: scroll;
  width: 53.8%;
  max-height: 250px;
  box-shadow: 0px 2px 5px 2px rgb(0 0 0 / 5%);
}

#shipping_address_1_list .ui-menu-item div,
#billing_address_1_list .ui-menu-item div {
  padding: 5px 10px;
  border-bottom: 1px solid #d3d3d3;
  cursor: pointer;
}

#shipping_address_1_list .ui-menu-item .ui-state-active,
#billing_address_1_list .ui-menu-item .ui-state-active {
  background-color: rgb(0 114 188 / 15%);
}

@media only screen and (max-width: 1200px) and (min-width: 980px) {

  #shipping_address_1_list,
  #billing_address_1_list {
    width: 93.2%;
  }
}

@media only screen and (max-width: 980px) and (min-width: 768px) {

  #shipping_address_1_list,
  #billing_address_1_list {
    width: 44.7%;
  }
}

@media only screen and (max-width: 768px) {

  #shipping_address_1_list,
  #billing_address_1_list {
    width: 83.7vw;
  }
}


/* --- FRONTROW STYLE FROM THEM - DO NOT EDIT --- */
#frontrow-widget div:empty {
  display: flex;
}

#frontrow-widget span:empty {
  display: flex;
}

.fr-text {
  display: flex;
  flex-direction: column;
  gap: 8px;
  flex: 1;
}

.fr-text span.fr-shorter {
  width: 80%;
}

.fr-text span {
  display: flex;
  width: 100%;
  background-color: #E0E0E0;
  height: 20px;
  border-radius: 100px;
}

.fr-loading-box {
  display: flex;
  padding: 18px 16px;
  gap: 14px;
  border-radius: 12px;
  background-color: #FFF;
  border: none;
  width: 100%;
  cursor: pointer;
}

.fr-loading-provider {
  border-radius: 100px;
  width: 36px;
  height: 36px;
  border: 2px #FFF solid;
  background-color: #E0E0E0;
}

.fr-provider-container {
  flex-shrink: 0;
  display: flex;
  flex-direction: row;
  justify-content: flex-start;
  align-items: center;
  min-width: 80px;
}

.fr-sample {
  margin-left: -14px;
}

@media only screen and (max-width: 480px) {
  .fr-loading-box {
    padding: 14px 12px;
    gap: 8px;
  }
}